package cn.iocoder.yudao.module.remote.framework.system;

import cn.iocoder.yudao.module.system.api.remote.RemoteLoginApi;
import cn.iocoder.yudao.module.system.api.remote.RemoteRobotApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {RemoteLoginApi.class, RemoteRobotApi.class})
public class SystemConfiguration {
}
