package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class RemoteRobotDTO {

    @Schema(description = "地图id")
    private Long id;

    @Schema(description = "楼层")
    private Integer floor;

    @Schema(description = "区域")
    private String area;

    @Schema(description = "地图是否暂停(0:暂停, 1:没暂停)")
    private Integer isStop = 1;

    @Schema(description = "车辆明细")
    private List<RemoteRobotDetailDTO> robotList;
}
