package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class RemoteRobotStatusDTO {

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "车辆是否暂停(0:已经暂停, 1:没暂停)")
    private Integer isStop = 1;

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode = 0;

    @Schema(description = "协控(0:关闭协控, 1:开启协控)")
    private Integer collaborativeControl = 0;

    @Schema(description = "是否可以点击: 任务完成(0:可以点, 1:不能点任务完成)")
    private Integer clickTaskDone = 1;
}
